<?php 
/*
Plugin Name: Read More Right Here
Plugin URI: http://www.wooliet.com/wp-plugins/
Description: Allow users to view your entry's &lt;!--more--&gt; content immediately.
Author: William King
Author URI: http://www.wooliet.com
Version: 1.0.5
*/

// "loading" GIF generated at http://www.ajaxload.info/

function wt_rmrh_oninit()
{
	// The name of the image to display while the "Read More" content
	//   is loaded. It is assumed this file exists at the root of this
	//	 plugin's directory.
	$loadImageName = 'ajax-loader.gif';
	
    if($_POST)
    {
        if($_POST['wt-rmrh-redirect'] == '1')
        {
            query_posts("p=" . $_POST['postid']);
            if(have_posts())
            {
                the_post();
                $spanId = "more-" . $_POST['postid'];
                $content = get_the_content();
                // have to apply any filters; 'get_the_content' does
                // not do this (copied from 'the_content')
                $content = apply_filters('the_content', $content);
                $content = str_replace(']]>', ']]&gt;', $content);
                // grab only the stuff after 'more'
                $debris = explode("<span id=\"".$spanId."\"></span>", $content);
                echo $debris[1];
                exit;
            }
        }
    }
    
    // let's stay out of the admin adrea
    if(!is_admin())
    {
    	// Includes trailing slash
    	$pluginUrl = plugin_dir_url(__FILE__);
        // wt_rmrh.js can be replaced with wt_rmrh-debug.js
        // to debug uncompressed javascript source
        wp_register_script(
			'wt_rmrh', 
            $pluginUrl . "js/wt_rmrh.js",
            array('jquery'));
            
        wp_enqueue_script('wt_rmrh');
        
        // This injects the defined values into the page header
        // to make available in our javascript.
        wp_localize_script('wt_rmrh', 
        				   'RMRH_VALUES', 
        				   array('pluginUrl' => $pluginUrl,
        				   		 'loadImageName' => $loadImageName));
    }            
}

add_action('init', wt_rmrh_oninit);
?>
